Request
curl https://sandbox.api.lendeasy.ai /v1/loans/$LOAN_ID/payments/$PAYMENT_ID \
-H "Authorization: Bearer $TOKEN" await fetch(`https://sandbox.api.lendeasy.ai /v1/loans/${loanId}/payments/${paymentId}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/loans/{loan_id}/payments/{payment_id}" ,
headers={"Authorization" : f"Bearer {token}" },
)200 400 401 403 404
{
"paymentId": 9011 ,
"loanRef": "7204",
"status": "POSTED",
"attemptNumber": 1 ,
"amount": "517.14",
"currency": "USD",
"rail": "ACH",
"effectiveDate": "2026-09-12",
"source": "BORROWER",
"createdAt": "2026-09-11T17: 03 :00Z",
"postedTransactionRef": "30411",
"metadata": {
"channel": "borrower_portal"
},
"timeline": [
{
"occurredAt": "2026-09-11T17: 03 :00Z",
"source": "LMS",
"state": "SUBMITTED"
},
{
"occurredAt": "2026-09-15T14: 22 :08Z",
"source": "LMS",
"state": "POSTED",
"postedTransactionRef": "30411"
}
]
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}